﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="AccountType.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the AccountType type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Business.Entities
{
    /// <summary>
    /// Defines the <seealso cref="AccountType"/> class.
    /// </summary>
    public class AccountType
    {
        /// <summary>
        /// Gets or sets the id.
        /// </summary>
        /// <value>
        /// The account type id.
        /// </value>
        public int Id { get; set; }

        /// <summary>
        /// Gets or sets the name.
        /// </summary>
        /// <value>
        /// The account type name.
        /// </value>
        public string Name { get; set; }
    }
}