﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="SortByType.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="Hisaab.Windows.Client.Model.SortByType" /> enum.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Business.Entities
{
    /// <summary>
    /// Defines the <seealso cref="SortByType"/> enum.
    /// </summary>
    public enum SortByType
    {
        /// <summary>
        /// Sort by date
        /// </summary>
        Date = 1,

        /// <summary>
        /// Sort by amount
        /// </summary>
        Amount,

        /// <summary>
        /// Sort By Type
        /// </summary>
        Type
    }
}