﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="TransactionType.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the TransactionType type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Business.Entities
{
    /// <summary>
    /// Defines the <seealso cref="TransactionType"/> enum.
    /// </summary>
    public class TransactionType
    {
        /// <summary>
        /// Gets or sets the id.
        /// </summary>
        /// <value>
        /// The transaction type id.
        /// </value>
        public int Id { get; set; }

        /// <summary>
        /// Gets or sets the name.
        /// </summary>
        /// <value>
        /// The transaction type name.
        /// </value>
        public string Name { get; set; }
    }
}