﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="AccountEditor.xaml.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="AccountEditor" /> type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Modules.Core.Account.View
{
    using Hisaab.Client.Modules.Core.Account.ViewModel;

    /// <summary>
    /// Defines the <seealso cref="AccountEditor"/> type.
    /// </summary>
    public partial class AccountEditor
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="AccountEditor"/> class.
        /// </summary>
        public AccountEditor()
        {
            InitializeComponent();
            DataContext = new AccountEditorViewModel();
        }
    }
}