﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="BillAddButtonViewModel.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the  type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Modules.Core.Bill.ViewModel
{
    using System.Windows.Input;

    using Hisaab.Client.Common.BaseClasses;
    using Hisaab.Client.Modules.Core.Bill.Commands;

    /// <summary>
    /// Defines the <seealso cref="BillAddButtonViewModel"/> type.
    /// </summary>
    public class BillAddButtonViewModel : ViewModelBase
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="BillAddButtonViewModel"/> class.
        /// </summary>
        public BillAddButtonViewModel()
        {
            AddBill = new AddBillCommand(this);
        }

        /// <summary>
        /// Gets or sets command for Loads the view for Module A.
        /// </summary>
        /// <value>
        /// The show dashboard.
        /// </value>
        public ICommand AddBill { get; set; }
    }
}