﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="BillPaymentEditorViewModel.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="BillPaymentEditorViewModel" /> type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Modules.Core.Bill.ViewModel
{
    using Hisaab.Client.Common.BaseClasses;

    /// <summary>
    /// Defines the <seealso cref="BillPaymentEditorViewModel"/> type.
    /// </summary>
    public class BillPaymentEditorViewModel : TabViewModel
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="BillPaymentEditorViewModel"/> class.
        /// </summary>
        public BillPaymentEditorViewModel()
        {
            Title = "Pay Bill";
        }
    }
}