﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="BillsViewModel.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="BillsViewModel" /> type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Modules.Core.Bill.ViewModel
{
    using Hisaab.Client.Common.BaseClasses;

    /// <summary>
    /// Defines the <seealso cref="BillsViewModel"/> type.
    /// </summary>
    public class BillsViewModel : TabViewModel
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="BillsViewModel"/> class.
        /// </summary>
        public BillsViewModel()
        {
            Title = "Bills";
        }
    }
}