﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="DashboardHomeRibbon.xaml.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Interaction logic for AccountHomeRibbon.xaml
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Modules.Core.Dashboard.View
{
    using Hisaab.Client.Modules.Core.Dashboard.ViewModel;

    /// <summary>
    /// Interaction logic for AccountHomeRibbon.xaml
    /// </summary>
    public partial class DashboardHomeRibbon
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="DashboardHomeRibbon"/> class.
        /// </summary>
        /// <param name="viewModel">
        /// The view Model.
        /// </param>
        public DashboardHomeRibbon(DashboardHomeRibbonViewModel viewModel)
        {
            InitializeComponent();
            this.DataContext = viewModel;
        }
    }
}