﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="DashboardViewButton.xaml.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Interaction logic for DashboardViewButton.xaml
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Modules.Core.Dashboard.View
{
    using Hisaab.Client.Modules.Core.Dashboard.ViewModel;

    /// <summary>
    /// Interaction logic for DashboardViewButton.xaml
    /// </summary>
    public partial class DashboardViewButton
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="DashboardViewButton"/> class.
        /// </summary>
        /// <param name="viewModel">The view model.</param>
        public DashboardViewButton(DashboardViewButtonViewModel viewModel)
        {
            InitializeComponent();
            DataContext = viewModel;
        }
    }
}