﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="SummaryBackStageTab.xaml.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Interaction logic for SummaryBackStageTab.xaml
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Modules.Core.Dashboard.View
{
    using Hisaab.Client.Modules.Core.Dashboard.ViewModel;

    /// <summary>
    /// Interaction logic for SummaryBackStageTab.xaml
    /// </summary>
    public partial class SummaryBackStageTab
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="SummaryBackStageTab"/> class.
        /// </summary>
        /// <param name="viewModel">The view model.</param>
        public SummaryBackStageTab(SummaryBackStageTabViewModel viewModel)
        {
            InitializeComponent();

            DataContext = viewModel;
        }
    }
}