﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="DashboardViewButtonViewModel.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the  type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Modules.Core.Dashboard.ViewModel
{
    using System.Windows.Input;

    using Hisaab.Client.Common.BaseClasses;
    using Hisaab.Client.Modules.Core.Dashboard.Commands;

    /// <summary>
    /// Defines the <seealso cref="DashboardViewButtonViewModel"/> type.
    /// </summary>
    public class DashboardViewButtonViewModel : ViewModelBase
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="DashboardViewButtonViewModel"/> class.
        /// </summary>
        public DashboardViewButtonViewModel()
        {
            ShowDashboard = new ViewDashboardCommand(this);
        }

        /// <summary>
        /// Gets or sets command for Loads the view for Module A.
        /// </summary>
        /// <value>
        /// The show dashboard.
        /// </value>
        public ICommand ShowDashboard { get; set; }
    }
}