﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="TagAddButton.xaml.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Interaction logic for TagAddButton.xaml
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Modules.Core.Tag.View
{
    using Hisaab.Client.Modules.Core.Tag.ViewModel;

    /// <summary>
    /// Interaction logic for TagAddButton.xaml
    /// </summary>
    public partial class TagAddButton
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="TagAddButton"/> class.
        /// </summary>
        public TagAddButton()
        {
            InitializeComponent();
            DataContext = new TagAddButtonViewModel();
        }
    }
}