﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="TagEditor.xaml.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Interaction logic for TagEditor.xaml
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Modules.Core.Tag.View
{
    using Hisaab.Client.Modules.Core.Tag.ViewModel;

    /// <summary>
    /// Interaction logic for TagEditor.xaml
    /// </summary>
    public partial class TagEditor
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="TagEditor"/> class.
        /// </summary>
        public TagEditor()
        {
            InitializeComponent();
            DataContext = new TagEditorViewModel();
        }
    }
}