﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="TagNavigation.xaml.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Interaction logic for TagNavigation.xaml
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Modules.Core.Tag.View
{
    using Hisaab.Client.Modules.Core.Tag.ViewModel;

    /// <summary>
    /// Interaction logic for TagNavigation.xaml
    /// </summary>
    public partial class TagNavigation
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="TagNavigation"/> class.
        /// </summary>
        public TagNavigation()
        {
            InitializeComponent();
            DataContext = new TagNavigationViewModel();
        }
    }
}