﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="TargetAddButton.xaml.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Interaction logic for TargetAddButton.xaml
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Modules.Core.Target.View
{
    using Hisaab.Client.Modules.Core.Target.ViewModel;

    /// <summary>
    /// Interaction logic for TargetAddButton.xaml
    /// </summary>
    public partial class TargetAddButton
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="TargetAddButton"/> class.
        /// </summary>
        public TargetAddButton()
        {
            InitializeComponent();
            DataContext = new TargetAddButtonViewModel();
        }
    }
}