﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="TargetEditor.xaml.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="TargetEditor" /> type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Modules.Core.Target.View
{
    using Hisaab.Client.Modules.Core.Target.ViewModel;

    /// <summary>
    /// Defines the <seealso cref="TargetEditor"/> type.
    /// </summary>
    public partial class TargetEditor
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="TargetEditor"/> class.
        /// </summary>
        public TargetEditor()
        {
            InitializeComponent();
            DataContext = new TargetEditorViewModel();
        }
    }
}