﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="TargetView.xaml.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Interaction logic for TargetView.xaml
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Modules.Core.Target.View
{
    using Hisaab.Client.Modules.Core.Target.ViewModel;

    /// <summary>
    /// Interaction logic for TargetView.xaml
    /// </summary>
    public partial class TargetView
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="TargetView"/> class.
        /// </summary>
        public TargetView()
        {
            InitializeComponent();
            DataContext = new TargetViewModel();
        }
    }
}