﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="TargetViewButton.xaml.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Interaction logic for TargetViewButton.xaml
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Modules.Core.Target.View
{
    using Hisaab.Client.Modules.Core.Target.ViewModel;

    /// <summary>
    /// Interaction logic for TargetViewButton.xaml
    /// </summary>
    public partial class TargetViewButton
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="TargetViewButton"/> class.
        /// </summary>
        public TargetViewButton()
        {
            InitializeComponent();
            DataContext = new TargetViewButtonViewModel();
        }
    }
}