﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="Targets.xaml.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Interaction logic for Targets.xaml
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Modules.Core.Target.View
{
    using Hisaab.Client.Modules.Core.Target.ViewModel;

    /// <summary>
    /// Interaction logic for Targets.xaml
    /// </summary>
    public partial class Targets
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="Targets"/> class.
        /// </summary>
        public Targets()
        {
            InitializeComponent();
            DataContext = new TargetsViewModel();
        }
    }
}