﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="TargetViewButtonViewModel.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the  type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Modules.Core.Target.ViewModel
{
    using System.Windows.Input;

    using Hisaab.Client.Common.BaseClasses;
    using Hisaab.Client.Modules.Core.Target.Commands;

    /// <summary>
    /// Defines the <seealso cref="TargetViewButtonViewModel"/> type.
    /// </summary>
    public class TargetViewButtonViewModel : ViewModelBase
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="TargetViewButtonViewModel"/> class.
        /// </summary>
        public TargetViewButtonViewModel()
        {
            ViewTargets = new ViewTargetsCommand();
        }

        /// <summary>
        /// Gets or sets the add tag.
        /// </summary>
        /// <value>
        /// The add tag.
        /// </value>
        public ICommand ViewTargets { get; set; }
    }
}