// --------------------------------------------------------------------------------------------------------------------
// <copyright file="TransactionGlobalCommands.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="TransactionGlobalCommands" /> type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Modules.Core.Transaction
{
    using Microsoft.Practices.Prism.Commands;

    /// <summary>
    /// Defines the <seealso cref="TransactionGlobalCommands"/> type.
    /// </summary>
    public static class TransactionGlobalCommands
    {
        /// <summary>
        /// Member variable AddTransaction
        /// </summary>
        public static readonly CompositeCommand AddTransaction = new CompositeCommand();

        /// <summary>
        /// Member variable EditTransaction
        /// </summary>
        public static readonly CompositeCommand EditTransaction = new CompositeCommand();

        /// <summary>
        /// Member variable DeleteTransaction
        /// </summary>
        public static readonly CompositeCommand DeleteTransaction = new CompositeCommand();

        /// <summary>
        /// Member variable RelateTransaction
        /// </summary>
        public static readonly CompositeCommand RelateTransaction = new CompositeCommand();

        /// <summary>
        /// Member variable RefreshTransaction
        /// </summary>
        public static readonly CompositeCommand RefreshTransaction = new CompositeCommand();
    }
}