﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="TransactionAddButton.xaml.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Interaction logic for TransactionAddButton.xaml
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Modules.Core.Transaction.View
{
    using Hisaab.Client.Modules.Core.Transaction.ViewModel;

    /// <summary>
    /// Interaction logic for TransactionAddButton.xaml
    /// </summary>
    public partial class TransactionAddButton
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="TransactionAddButton"/> class.
        /// </summary>
        public TransactionAddButton()
        {
            InitializeComponent();
            DataContext = new TransactionAddButtonViewModel();
        }
    }
}