﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="TransactionViewButton.xaml.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Interaction logic for TransactionViewButton.xaml
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Modules.Core.Transaction.View
{
    using Hisaab.Client.Modules.Core.Transaction.ViewModel;

    /// <summary>
    /// Interaction logic for TransactionViewButton.xaml
    /// </summary>
    public partial class TransactionViewButton
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="TransactionViewButton"/> class.
        /// </summary>
        public TransactionViewButton()
        {
            InitializeComponent();
            DataContext = new TransactionViewButtonViewModel();
        }
    }
}