﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="TransactionsTab.xaml.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="TransactionsTab" /> type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Modules.Core.Transaction.View
{
    using Hisaab.Client.Modules.Core.Transaction.ViewModel;

    /// <summary>
    /// Defines the <seealso cref="TransactionsTab"/> type.
    /// </summary>
    public partial class TransactionsTab
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="TransactionsTab"/> class.
        /// </summary>
        public TransactionsTab()
        {
            InitializeComponent();
            DataContext = TransactionsTabViewModel.Instance;
        }
    }
}