﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="IAccountTypeRepository.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="IAccountTypeRepository" /> interface.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Data.Interfaces
{
    using Entities;

    /// <summary>
    /// Defines the <seealso cref="IAccountTypeRepository"/> interface.
    /// </summary>
    public interface IAccountTypeRepository : IReadOnlyRepository<AccountType>
    {
    }
}