﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="IVehicleTransactionRepository.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="IVehicleTransactionRepository" /> interface.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Data.Interfaces
{
    using Entities;

    /// <summary>
    /// Defines the <seealso cref="IVehicleTransactionRepository"/> interface.
    /// </summary>
    public interface IVehicleTransactionRepository : IBaseRepository<VehicleTransaction>
    {
    }
}