﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="Currency.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Define enum <seealso cref="Currency" />
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Common
{
    using System.ComponentModel;

    /// <summary>
    /// Define enum <seealso cref="Currency"/> 
    /// </summary>
    public enum Currency
    {
        /// <summary>
        /// Member variable Dollar 
        /// </summary>
        [Description("US Dollar ($)")]
        Dollar,
        
        /// <summary>
        /// Member variable PoundSterling 
        /// </summary>
        [Description("Pound Sterling (£)")]
        PoundSterling,
        
        /// <summary>
        /// Member variable Euro 
        /// </summary>
        [Description("Euro (€)")]
        Euro,

        /// <summary>
        /// Member variable PakistaniRupees 
        /// </summary>
        [Description("Pakistani Rupee (Rs)")]
        PakistaniRupees
    }
}