﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="Tag.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the  type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Services.Entities
{
    using System.Runtime.Serialization;

    /// <summary>
    /// Defines the <seealso cref="Tag"/> type.
    /// </summary>
    [DataContract]
    public class Tag
    {
        /// <summary>
        /// Gets or sets the tag id.
        /// </summary>
        /// <value>
        /// The tag id.
        /// </value>
        [DataMember]
        public int TagId { get; set; }

        /// <summary>
        /// Gets or sets the name.
        /// </summary>
        /// <value>
        /// The name of tag
        /// </value>
        [DataMember]
        public string Name { get; set; }

        /// <summary>
        /// Gets or sets the user id.
        /// </summary>
        /// <value>
        /// The user id.
        /// </value>
        [DataMember]
        public int UserId { get; set; }
    }
}