﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="User.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the  type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Services.Entities
{
    using System.Runtime.Serialization;

    /// <summary>
    /// Defines the <seealso cref="User"/> type.
    /// </summary>
    [DataContract]
    public class User
    {
        /// <summary>
        /// Gets or sets the User id.
        /// </summary>
        /// <value>
        /// The User id.
        /// </value>
        [DataMember]
        public int UserId { get; set; }

        /// <summary>
        /// Gets or sets the name.
        /// </summary>
        /// <value>
        /// The name of User
        /// </value>
        [DataMember]
        public string Name { get; set; }
    }
}