﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="TagService.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="TagService" /> type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Services
{
    using System;
    using System.Collections.Generic;

    using Hisaab.Services.Entities;
    using Hisaab.Services.Interfaces;

    /// <summary>
    /// Defines the <seealso cref="TagService"/> type.
    /// </summary>
    public class TagService : ITagService
    {
        /// <summary>
        /// Gets the filtered.
        /// </summary>
        /// <param name="filter">The filter.</param>
        /// <param name="pageNo">The page no.</param>
        /// <param name="pageSize">Size of the page.</param>
        /// <returns>List of filtered items</returns>
        public IEnumerable<Tag> List(Tag filter, int? pageNo, int? pageSize)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Adds the specified entity.
        /// </summary>
        /// <param name="entity">The entity.</param>
        /// <returns>The id of entity being added.</returns>
        public int Add(Tag entity)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Updates the specified entity.
        /// </summary>
        /// <param name="entity">The entity.</param>
        public void Update(Tag entity)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Deletes the specified entity.
        /// </summary>
        /// <param name="entity">The entity.</param>
        public void Delete(Tag entity)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Gets the by id.
        /// </summary>
        /// <param name="id">The id of tag</param>
        /// <returns>Tag matching by id</returns>
        public Tag GetById(int id)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Gets the tags by transaction.
        /// </summary>
        /// <param name="transactionId">The transaction id.</param>
        /// <returns>List of tags associated with given transaction id</returns>
        public IEnumerable<Tag> GetTagsByTransaction(int transactionId)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Gets the name of the by.
        /// </summary>
        /// <param name="tagName">Name of the tag.</param>
        /// <returns>Tag matching by name</returns>
        public Tag GetByName(string tagName)
        {
            throw new NotImplementedException();
        }
    }
}