﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="UserService.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="UserService" /> type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Services
{
    using System;
    using System.Collections.Generic;
    using Entities;

    using Hisaab.Services.Interfaces;

    /// <summary>
    /// Defines the <seealso cref="UserService"/> type.
    /// </summary>
    public class UserService : IUserService
    {
        /// <summary>
        /// Gets the filtered.
        /// </summary>
        /// <param name="filter">The filter.</param>
        /// <param name="pageNo">The page no.</param>
        /// <param name="pageSize">Size of the page.</param>
        /// <returns>List of filtered items</returns>
        public IEnumerable<User> List(User filter, int? pageNo, int? pageSize)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Adds the specified entity.
        /// </summary>
        /// <param name="entity">The entity.</param>
        /// <returns>The id of entity being added.</returns>
        public int Add(User entity)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Updates the specified entity.
        /// </summary>
        /// <param name="entity">The entity.</param>
        public void Update(User entity)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Deletes the specified entity.
        /// </summary>
        /// <param name="entity">The entity.</param>
        public void Delete(User entity)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Validates the useer.
        /// </summary>
        /// <param name="username">The username.</param>
        /// <param name="password">The password.</param>
        /// <returns>Id of user if authentication successful, -1 if authentication fails</returns>
        public int ValidateUser(string username, string password)
        {
            throw new NotImplementedException();
        }
    }
}