﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="VehicleService.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="VehicleService" /> type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Services
{
    using System;
    using System.Collections.Generic;
    using Hisaab.Services.Entities;
    using Hisaab.Services.Interfaces;

    /// <summary>
    /// Defines the <seealso cref="VehicleService"/> type.
    /// </summary>
    public class VehicleService : IVehicleService
    {
        /// <summary>
        /// Gets the filtered.
        /// </summary>
        /// <param name="filter">The filter.</param>
        /// <param name="pageNo">The page no.</param>
        /// <param name="pageSize">Size of the page.</param>
        /// <returns>List of filtered items</returns>
        public IEnumerable<Vehicle> List(Vehicle filter, int? pageNo, int? pageSize)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Adds the specified entity.
        /// </summary>
        /// <param name="entity">The entity.</param>
        /// <returns>The id of entity being added.</returns>
        public int Add(Vehicle entity)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Updates the specified entity.
        /// </summary>
        /// <param name="entity">The entity.</param>
        public void Update(Vehicle entity)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Deletes the specified entity.
        /// </summary>
        /// <param name="entity">The entity.</param>
        public void Delete(Vehicle entity)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Gets the by id.
        /// </summary>
        /// <param name="id">The vehicle id.</param>
        /// <returns>Vehicle matching the id</returns>
        public Vehicle GetById(int id)
        {
            throw new NotImplementedException();
        }
    }
}