﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="AccountHistoryData.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="Hisaab.Windows.Client.ViewModel.AccountHistoryData" /> type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Windows.Client.Model
{
    using System.Collections.ObjectModel;

    /// <summary>
    /// Defines the <seealso cref="AccountHistoryData"/> type.
    /// </summary>
    public class AccountHistoryData : ObservableCollection<AccountMonthlyTotal>
    {
        /// <summary>
        /// Gets or sets the title.
        /// </summary>
        /// <value>The title.</value>
        public string Title { get; set; }
    }
}