﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="AccountTypes.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="Hisaab.Windows.Client.Model.AccountTypes" /> enum.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Windows.Client.Model
{
    /// <summary>
    /// Defines the <seealso cref="Hisaab.Windows.Client.Model.AccountTypes"/> enum.
    /// </summary>
    public enum AccountTypes
    {
        BankAccount = 1,
        CreditCard = 2,
        Person = 3,
        OnlineAccount = 4,
        Other = 5
    }
}