﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="OrderByType.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="Hisaab.Windows.Client.Model.OrderByType" /> enum.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Windows.Client.Model
{
    /// <summary>
    /// Defines the <seealso cref="Hisaab.Windows.Client.Model.OrderByType"/> enum.
    /// </summary>
    public enum OrderByType
    {
        /// <summary>
        /// Ascending order
        /// </summary>
        Ascending = 1,

        /// <summary>
        /// Descending order
        /// </summary>
        Descending
    }
}