﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="AccountEditorView.xaml.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Interaction logic for AccountEditorView.xaml
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Windows.Client.View
{
    using Common;

    /// <summary>
    /// Interaction logic for AccountsEditor.xaml
    /// </summary>
    public partial class AccountEditorView : IViewBase
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="AccountEditorView"/> class.
        /// </summary>
        public AccountEditorView()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Gets the active awareness.
        /// </summary>
        public IActiveAware ActiveAwareness
        {
            get { return new FocusActiveAwareAdapter(this); }
        }
    }
}