﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="TagsView.xaml.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Interaction logic for TagsView.xaml
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Windows.Client.View
{
    using Hisaab.Windows.Common;

    /// <summary>
    /// Interaction logic for Tags.xaml
    /// </summary>
    public partial class TagsView : IViewBase
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="TagsView"/> class.
        /// </summary>
        public TagsView()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Gets the active awareness.
        /// </summary>
        public IActiveAware ActiveAwareness
        {
            get { return new FocusActiveAwareAdapter(this); }
        }
    }
}