﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="IDialogResultHelper.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the IDialogResultVMHelper type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Windows.Common
{
    using System;

    /// <summary>
    /// Defines the <seealso cref="Hisaab.Windows.Common.IDialogResultHelper"/> interface.
    /// </summary>
    public interface IDialogResultHelper
    {
        /// <summary>
        /// Occurs when [dialog result true event].
        /// </summary>
        event EventHandler DialogResultTrueEvent;
    }
}