// --------------------------------------------------------------------------------------------------------------------
// <copyright file="ISession.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="ISession" /> interface.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Windows.Common
{
    /// <summary>
    /// Defines the <seealso cref="ISession"/> interface.
    /// </summary>
    public interface ISession
    {
        /// <summary>
        /// Gets or sets the user.
        /// </summary>
        /// <value>
        /// The user.
        /// </value>
        int LoggedUser { get; set; }
    }
}