﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="IRibbon.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="Hisaab.Windows.Common.IRibbon" /> interface.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Windows.RibbonWrapper
{
    using System.Collections.ObjectModel;

    /// <summary>
    /// Defines the <seealso cref="IRibbon"/> interface.
    /// </summary>
    public interface IRibbon
    {
        /// <summary>
        /// Gets the contextual tab groups.
        /// </summary>
        /// <value>
        /// The contextual tab groups.
        /// </value>
        ObservableCollection<IRibbonContextualTabGroup> ContextualTabGroups { get; }
    }
}