﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="IRibbonContextualTabGroup.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the  interface.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Windows.RibbonWrapper
{
    using System.Windows;

    /// <summary>
    /// Defines the <seealso cref="IRibbonContextualTabGroup"/> interface.
    /// </summary>
    public interface IRibbonContextualTabGroup
    {
        /// <summary>
        /// Gets or sets the name.
        /// </summary>
        /// <value>The name of ribbon tab item</value>
        string Name { get; set; }

        /// <summary>
        /// Gets or sets the visibility.
        /// </summary>
        /// <value>The visibility.</value>
        Visibility Visibility { get; set; }
    }
}