// --------------------------------------------------------------------------------------------------------------------
// <copyright file="LloydsDataParser.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="LloydsDataParser" /> type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Business.Parser
{
    using System.Collections.Generic;

    using Hisaab.Business.Entities;

    /// <summary>
    /// Defines the <seealso cref="LloydsDataParser"/> type.
    /// </summary>
    public class LloydsDataParser : IBankDataParser
    {
        /// <summary>
        /// Imports the CSV.
        /// </summary>
        /// <param name="fileName">The fileName.</param>
        /// <returns>Transactions imported from csv</returns>
        public IEnumerable<Transaction> ImportCsv(string fileName)
        {
            throw new System.NotImplementedException();
        }
    }
}