// --------------------------------------------------------------------------------------------------------------------
// <copyright file="IReportsManager.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="IReportsManager" /> interface.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Business.Interfaces
{
    using Hisaab.Business.Entities;

    /// <summary>
    /// Defines the <seealso cref="IReportsManager"/> interface.
    /// </summary>
    public interface IReportsManager
    {
        /// <summary>
        /// Gets the global summary.
        /// </summary>
        /// <returns>Report object</returns>
        SummaryReport GetGlobalSummary();
    }
}