﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="Banks.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Define enum <seealso cref="Banks" />
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Common
{
    using System.ComponentModel;

    /// <summary>
    /// Define enum <seealso cref="Banks"/>
    /// </summary>
    public enum Banks
    {
        /// <summary>
        /// Member variable NatWest
        /// </summary>
        [Description("Natwest")]
        NatWest = 1,

        /// <summary>
        /// Member variable Barclays
        /// </summary>
        [Description("Barclays")]
        Barclays = 2,

        /// <summary>
        /// Member variable HSBC
        /// </summary>
        [Description("HSBC")]
        Hsbc = 3,

        /// <summary>
        /// Member variable Lloyds
        /// </summary>
        [Description("Lloyds")]
        Lloyds = 4,

        /// <summary>
        /// Member variable Rbs
        /// </summary>
        [Description("Royal Bank of Scotland")]        
        Rbs = 5
    }
}