// --------------------------------------------------------------------------------------------------------------------
// <copyright file="NavigationCompletedEvent.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   A composite Presentation event
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Common.Events
{
    using Microsoft.Practices.Prism.Events;

    /// <summary>
    /// A composite Presentation event
    /// </summary>
    public class NavigationCompletedEvent : CompositePresentationEvent<string>
    {
    }
}