// --------------------------------------------------------------------------------------------------------------------
// <copyright file="IViewRegionRegistration.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="IViewRegionRegistration" /> interface.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Common.Helpers
{
    /// <summary>
    /// Defines the <seealso cref="IViewRegionRegistration"/> interface.
    /// </summary>
    public interface IViewRegionRegistration
    {
        /// <summary>
        /// Gets the name of the region.
        /// </summary>
        /// <value>
        /// The name of the region.
        /// </value>
        string RegionName { get; }
    }
}