﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="Regions.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="Regions" /> type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Common
{
    /// <summary>
    /// Defines the <seealso cref="Regions"/> type.
    /// </summary>
    public static class Regions
    {
        /// <summary>
        /// Member variable BackStageRegion
        /// </summary>
        public const string BackStageRegion = "BackstageRegion";

        /// <summary>
        /// Member variable HomeTabRegion
        /// </summary>
        public const string HomeTabRegion = "HomeTabRegion";

        /// <summary>
        /// Member variable RibbonRegion
        /// </summary>
        public const string RibbonRegion = "RibbonRegion";

        /// <summary>
        /// Member variable HomeAddGroup
        /// </summary>
        public const string HomeAddGroup = "HomeAddGroup";

        /// <summary>
        /// Member variable HomeAddMediumGroup
        /// </summary>
        public const string HomeAddMediumGroup = "HomeAddMediumGroup";

        /// <summary>
        /// Member variable HomeListGroup
        /// </summary>
        public const string HomeListGroup = "HomeListGroup";

        /// <summary>
        /// Member variable HomeViewGroup
        /// </summary>
        public const string HomeViewGroup = "HomeViewGroup";

        /// <summary>
        /// Member variable WorkspaceRegion
        /// </summary>
        public const string WorkspaceRegion = "WorkspaceRegion";

        /// <summary>
        /// Member variable NavigationRegion
        /// </summary>
        public const string NavigationRegion = "NavigationRegion";

        /// <summary>
        /// Member variable RightNavigationRegion
        /// </summary>
        public const string RightNavigationRegion = "RightNavigationRegion";

        /// <summary>
        /// Member variable ToolsTabRegion
        /// </summary>
        public const string ToolsTabRegion = "ToolsTabRegion";

        /// <summary>
        /// Member variable SecondaryRegion
        /// </summary>
        public const string SecondaryRegion = "SecondaryRegion";
    }
}