﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="ExitCommandTests.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="ExitCommandTests" /> type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Desktop.Tests.Commands
{
    using Hisaab.Client.Desktop.Commands;

    using Microsoft.VisualStudio.TestTools.UnitTesting;

    /// <summary>
    /// Defines the <seealso cref="ExitCommandTests"/> type.
    /// </summary>
    [TestClass]
    public class ExitCommandTests
    {
        /// <summary>
        /// Determines whether this instance [can execute should always return true].
        /// </summary>
        [TestMethod]
        public void CanExecuteShouldAlwaysReturnTrue()
        {
            var command = new ExitCommand();
            Assert.IsTrue(command.CanExecute(null));
        }
    }
}