﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="TransactionTypes.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the TransactionTypes type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Model
{
    /// <summary>
    /// Defines the <seealso cref="TransactionTypes"/> enum.
    /// </summary>
    public enum TransactionTypes
    {
        /// <summary>
        /// Expanse Transacrion
        /// </summary>
        Expanse = 1,

        /// <summary>
        /// Income Transaction
        /// </summary>
        Income = 2,

        /// <summary>
        /// Transfer Transaction
        /// </summary>
        Transfer = 3
    }
}