﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="AccountAddButton.xaml.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Interaction logic for AccountAddButton.xaml
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Modules.Core.Account.View
{
    using Hisaab.Client.Modules.Core.Account.ViewModel;

    /// <summary>
    /// Interaction logic for AccountHomeRibbon.xaml
    /// </summary>
    public partial class AccountAddButton
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="AccountAddButton"/> class.
        /// </summary>
        public AccountAddButton()
        {
            InitializeComponent();
            DataContext = new AddAccountButtonViewModel();
        }
    }
}