﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="AccountNavigation.xaml.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Interaction logic for AccountNavigation.xaml
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Modules.Core.Account.View
{
    using Hisaab.Client.Modules.Core.Account.ViewModel;

    /// <summary>
    /// Interaction logic for AccountNavigation.xaml
    /// </summary>
    public partial class AccountNavigation
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="AccountNavigation"/> class.
        /// </summary>
        public AccountNavigation()
        {
            InitializeComponent();
            DataContext = new AccountNavigationViewModel();
        }
    }
}