﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="AccountSideBar.xaml.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Interaction logic for AccountSideBar.xaml
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Modules.Core.Account.View
{
    using Hisaab.Client.Modules.Core.Account.ViewModel;

    /// <summary>
    /// Interaction logic for AccountSideBar.xaml
    /// </summary>
    public partial class AccountSideBar
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="AccountSideBar"/> class.
        /// </summary>
        public AccountSideBar()
        {
            InitializeComponent();
            DataContext = new AccountSideBarViewModel();
        }
    }
}