﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="AccountViewButton.xaml.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Interaction logic for AccountViewButton.xaml
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Modules.Core.Account.View
{
    using Hisaab.Client.Modules.Core.Account.ViewModel;

    /// <summary>
    /// Interaction logic for AccountViewButton.xaml
    /// </summary>
    public partial class AccountViewButton
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="AccountViewButton"/> class.
        /// </summary>
        public AccountViewButton()
        {
            InitializeComponent();
            DataContext = new AccountViewButtonViewModel();
        }
    }
}