﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="Accounts.xaml.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Interaction logic for Accounts.xaml
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Modules.Core.Account.View
{
    using Hisaab.Client.Modules.Core.Account.ViewModel;

    /// <summary>
    /// Interaction logic for Accounts.xaml
    /// </summary>
    public partial class Accounts
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="Accounts"/> class.
        /// </summary>
        public Accounts()
        {
            InitializeComponent();
            DataContext = new AccountsViewModel();
        }
    }
}