﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="BillEditor.xaml.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Interaction logic for BillEditor.xaml
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Modules.Core.Bill.View
{
    using Hisaab.Client.Modules.Core.Bill.ViewModel;

    /// <summary>
    /// Interaction logic for BillEditor.xaml
    /// </summary>
    public partial class BillEditor
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="BillEditor"/> class.
        /// </summary>
        public BillEditor()
        {
            InitializeComponent();
            DataContext = new BillEditorViewModel();
        }
    }
}