﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="BillNavigation.xaml.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Interaction logic for BillNavigation.xaml
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Modules.Core.Bill.View
{
    using Hisaab.Client.Modules.Core.Bill.ViewModel;

    /// <summary>
    /// Interaction logic for BillNavigation.xaml
    /// </summary>
    public partial class BillNavigation
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="BillNavigation"/> class.
        /// </summary>
        public BillNavigation()
        {
            InitializeComponent();
            DataContext = new BillNavigationViewModel();
        }
    }
}