﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="BillPaymentEditor.xaml.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Interaction logic for BillPaymentEditor.xaml
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Modules.Core.Bill.View
{
    using Hisaab.Client.Modules.Core.Bill.ViewModel;

    /// <summary>
    /// Interaction logic for BillPaymentEditor.xaml
    /// </summary>
    public partial class BillPaymentEditor
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="BillPaymentEditor"/> class.
        /// </summary>
        public BillPaymentEditor()
        {
            InitializeComponent();
            DataContext = new BillPaymentEditorViewModel();
        }
    }
}