﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="BillView.xaml.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Interaction logic for BillView.xaml
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Modules.Core.Bill.View
{
    using Hisaab.Client.Modules.Core.Bill.ViewModel;

    /// <summary>
    /// Interaction logic for BillView.xaml
    /// </summary>
    public partial class BillView
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="BillView"/> class.
        /// </summary>
        public BillView()
        {
            InitializeComponent();
            DataContext = new BillViewModel();
        }
    }
}