﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="BillViewButton.xaml.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Interaction logic for BillViewButton.xaml
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Modules.Core.Bill.View
{
    using Hisaab.Client.Modules.Core.Bill.ViewModel;

    /// <summary>
    /// Interaction logic for AccountViewButton.xaml
    /// </summary>
    public partial class BillViewButton
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="BillViewButton"/> class.
        /// </summary>
        public BillViewButton()
        {
            InitializeComponent();
            DataContext = new BillViewButtonViewModel();
        }
    }
}