﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="Bills.xaml.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="Bills" /> type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Modules.Core.Bill.View
{
    using Hisaab.Client.Modules.Core.Bill.ViewModel;

    /// <summary>
    /// Defines the <seealso cref="Bills"/> type.
    /// </summary>
    public partial class Bills
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="Bills"/> class.
        /// </summary>
        public Bills()
        {
            InitializeComponent();
            DataContext = new BillsViewModel();
        }
    }
}