﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="BillViewButtonViewModel.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the  type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Modules.Core.Bill.ViewModel
{
    using System.Windows.Input;

    using Hisaab.Client.Common.BaseClasses;
    using Hisaab.Client.Modules.Core.Bill.Commands;

    /// <summary>
    /// Defines the <seealso cref="BillViewButtonViewModel"/> type.
    /// </summary>
    public class BillViewButtonViewModel : ViewModelBase
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="BillViewButtonViewModel"/> class.
        /// </summary>
        public BillViewButtonViewModel()
        {
            ShowBills = new ViewBillsCommand(this);
        }

        /// <summary>
        /// Gets or sets command for Loads the view for Module A.
        /// </summary>
        /// <value>
        /// The show dashboard.
        /// </value>
        public ICommand ShowBills { get; set; }
    }
}