﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="ImportView.xaml.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Interaction logic for ImportBackStageTab.xaml
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Modules.Core.Management.View
{
    using Hisaab.Client.Modules.Core.Management.ViewModel;

    /// <summary>
    /// Interaction logic for ImportBackStageTab.xaml
    /// </summary>
    public partial class ImportView
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="ImportView"/> class.
        /// </summary>
        public ImportView()
        {
            InitializeComponent();
            DataContext = new ImportViewModel();
        }
    }
}