﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="OptionView.xaml.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="OptionView" /> type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Modules.Core.Management.View
{
    using Hisaab.Client.Modules.Core.Management.ViewModel;

    /// <summary>
    /// Defines the <seealso cref="OptionView"/> type.
    /// </summary>
    public partial class OptionView
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="OptionView"/> class.
        /// </summary>
        public OptionView()
        {
            InitializeComponent();
            DataContext = new OptionViewModel();
        }
    }
}