﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="UserManagementView.xaml.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Interaction logic for UserManagementBackstageTab.xaml
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Modules.Core.Management.View
{
    using Hisaab.Client.Modules.Core.Management.ViewModel;

    /// <summary>
    /// Interaction logic for UserManagementView.xaml
    /// </summary>
    public partial class UserManagementView
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="UserManagementView"/> class.
        /// </summary>
        public UserManagementView()
        {
            InitializeComponent();
            DataContext = new UserManagementBackstageViewModel();
        }
    }
}