﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="TagView.xaml.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Interaction logic for TagView.xaml
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Modules.Core.Tag.View
{
    using Hisaab.Client.Modules.Core.Tag.ViewModel;

    /// <summary>
    /// Interaction logic for TagView.xaml
    /// </summary>
    public partial class TagView
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="TagView"/> class.
        /// </summary>
        public TagView()
        {
            InitializeComponent();
            DataContext = new TagViewModel();
        }
    }
}