﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="TagViewButton.xaml.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Interaction logic for AccountHomeRibbon.xaml
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Modules.Core.Tag.View
{
    using Hisaab.Client.Modules.Core.Tag.ViewModel;

    /// <summary>
    /// Interaction logic for TagViewButton.xaml
    /// </summary>
    public partial class TagViewButton
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="TagViewButton"/> class.
        /// </summary>
        public TagViewButton()
        {
            InitializeComponent();
            DataContext = new TagViewButtonViewModel();
        }
    }
}