﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="TransactionEditor.xaml.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="TransactionEditor" /> type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Modules.Core.Transaction.View
{
    using Hisaab.Client.Modules.Core.Transaction.ViewModel;

    /// <summary>
    /// Defines the <seealso cref="TransactionEditor"/> type.
    /// </summary>
    public partial class TransactionEditor
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="TransactionEditor"/> class.
        /// </summary>
        public TransactionEditor()
        {
            InitializeComponent();
            DataContext = new TransactionEditorViewModel();
        }
    }
}