﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="Transactions.xaml.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="Transactions" /> type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Modules.Core.Transaction.View
{
    using Hisaab.Client.Modules.Core.Transaction.ViewModel;

    /// <summary>
    /// Defines the <seealso cref="Transactions"/> type.
    /// </summary>
    public partial class Transactions
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="Transactions"/> class.
        /// </summary>
        public Transactions()
        {
            InitializeComponent();
            DataContext = new TransactionsViewModel();
        }
    }
}