﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="TransactionViewButtonViewModel.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the  type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Client.Modules.Core.Transaction.ViewModel
{
    using System.Windows.Input;

    using Hisaab.Client.Common.BaseClasses;
    using Hisaab.Client.Modules.Core.Transaction.Commands;

    /// <summary>
    /// Defines the <seealso cref="TransactionViewButtonViewModel"/> type.
    /// </summary>
    public class TransactionViewButtonViewModel : ViewModelBase
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="TransactionViewButtonViewModel"/> class.
        /// </summary>
        public TransactionViewButtonViewModel()
        {
            ViewTransactions = new ViewTransactionsCommand();
        }

        /// <summary>
        /// Gets or sets the add tag.
        /// </summary>
        /// <value>
        /// The add tag.
        /// </value>
        public ICommand ViewTransactions { get; set; }
    }
}