﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="IBillRepository.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="IAccountRepository" /> interface.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Data.Interfaces
{
    using Entities;

    /// <summary>
    /// Defines the <seealso cref="IBillRepository"/> interface.
    /// </summary>
    public interface IBillRepository : IBaseRepository<Bill>
    {
    }
}