﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="ITargetRepository.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="ITargetRepository" /> interface.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Data.Interfaces
{
    using Hisaab.Data.Entities;

    /// <summary>
    /// Defines the <seealso cref="ITargetRepository"/> interface.
    /// </summary>
    public interface ITargetRepository : IBaseRepository<Target>
    {
    }
}