﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="ITargetTypeRepository.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="ITargetTypeRepository" /> interface.
// </summary>
// --------------------------------------------------------------------------------------------------------------------
namespace Hisaab.Data.Interfaces
{
    using Hisaab.Data.Entities;

    /// <summary>
    /// Defines the <seealso cref="ITargetTypeRepository"/> interface.
    /// </summary>
    public interface ITargetTypeRepository : IReadOnlyRepository<TargetType>
    {
    }
}