﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="TransactionService.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="TransactionService" /> type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Services
{
    using System;
    using System.Collections.Generic;

    using Hisaab.Services.Entities;
    using Hisaab.Services.Interfaces;

    /// <summary>
    /// Defines the <seealso cref="TransactionService"/> type.
    /// </summary>
    public class TransactionService : ITransactionService
    {
        /// <summary>
        /// Gets the filtered.
        /// </summary>
        /// <param name="filter">The filter.</param>
        /// <param name="pageNo">The page no.</param>
        /// <param name="pageSize">Size of the page.</param>
        /// <returns>List of filtered items</returns>
        public IEnumerable<Transaction> List(Transaction filter, int? pageNo, int? pageSize)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Adds the specified entity.
        /// </summary>
        /// <param name="entity">The entity.</param>
        /// <returns>The id of entity being added.</returns>
        public int Add(Transaction entity)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Updates the specified entity.
        /// </summary>
        /// <param name="entity">The entity.</param>
        public void Update(Transaction entity)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Deletes the specified entity.
        /// </summary>
        /// <param name="entity">The entity.</param>
        public void Delete(Transaction entity)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Gets the by id.
        /// </summary>
        /// <param name="id">The transaction id.</param>
        /// <returns>Transaction matching id</returns>
        public Transaction GetById(int id)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Gets transaction details by id.
        /// </summary>
        /// <param name="id">The transaction id.</param>
        /// <returns>Transaction matching id</returns>
        public Transaction GetTransactionDetails(int id)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Filtereds the list.
        /// </summary>
        /// <param name="filterAccountId">The filter account id.</param>
        /// <param name="filter">The filter.</param>
        /// <returns>List of transactions in filter</returns>
        public IEnumerable<Transaction> FilteredList(int filterAccountId, TransactionFilter filter)
        {
            throw new NotImplementedException();
        }

        /// <summary>
        /// Relates the transactions.
        /// </summary>
        /// <param name="sourceTransactionId">The source transaction id.</param>
        /// <param name="destinationTransactionId">The destination transaction id.</param>
        public void RelateTransactions(int sourceTransactionId, int destinationTransactionId)
        {
            throw new NotImplementedException();
        }
    }
}