﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="SeriesType.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="Hisaab.Windows.Common.SeriesType" /> enum.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Windows.Client.Helpers
{
    /// <summary>
    /// Defines the <seealso cref="SeriesType"/> enum.
    /// </summary>
    public enum SeriesType
    {
        /// <summary>
        /// Line series
        /// </summary>
        Line,

        /// <summary>
        /// Bar series
        /// </summary>
        Bar,

        /// <summary>
        /// Column Series
        /// </summary>
        Column,

        /// <summary>
        /// Scatter Series
        /// </summary>
        Scatter,

        /// <summary>
        /// Pie Series
        /// </summary>
        Pie
    }
}