// --------------------------------------------------------------------------------------------------------------------
// <copyright file="SessionManager.cs" company="Concept Architecture">
//   (c) 2010 Muhammad Umer Farooq
// </copyright>
// <summary>
//   Defines the <seealso cref="SessionManager" /> type.
// </summary>
// --------------------------------------------------------------------------------------------------------------------

namespace Hisaab.Windows.Client
{
    using Hisaab.Windows.Common;

    /// <summary>
    /// Defines the <seealso cref="SessionManager"/> type.
    /// </summary>
    public class SessionManager : ISession
    {
        /// <summary>
        /// Gets or sets the user.
        /// </summary>
        /// <value>
        /// The user.
        /// </value>
        public int LoggedUser { get; set; }
    }
}